# Colormatic Library Sandbox

This is a development environment for working on templates, views, and models for the Colormatic Library.

To get started working in this codebase, first ensure that you have Python, Pip, and optionally venv installed.

Optionally, you can create a virtual environment to install packages locally:

```
python -m venv <your_venv_name>
```

Replace `<your_venv_name>` with whatever you want to call the virtual environment, e.g. "venv".

Clone this repository:

```
git clone https://git.colormatic.org/ColormaticStudios/Colormatic-Library-Sandbox.git
cd Colormatic-Library-Sandbox
```

Install the necessary packages:

```
python -m pip install -r requirements.in
```

Initialize the database with your admin user:

```
python -m manage migrate
python -m manage createsuperuser
```

Check if everything is configured properly:

```
python -m manage cms check
```

You should now have a db.sqlite3 ready to go.  
Run the project with:

```
python -m manage runserver
```

Refer to the Django and Django CMS documentation.

Run `djade <filename>` to format a template.